Package com.saxonica.ee.update

## Class DeleteAction

- java.lang.Object
- - com.saxonica.ee.update.PendingUpdateAction
  - - com.saxonica.ee.update.DeleteAction

-     public class DeleteAction
      extends PendingUpdateAction

  A pending update action representing the effect of a delete expression

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `PHASE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeleteAction​(NodeInfo node)` | Create a DeleteAction

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(XPathContext context, java.util.Set<MutableNodeInfo> affectedRootSet)` | Apply the pending update action to the affected node
    `int` | `getApplyPhase()` | Get the phase of operation in which this pending update action is applied.
    `NodeInfo` | `getTargetNode()` | Get the target node of the update action

    - ### Methods inherited from class com.saxonica.ee.update.PendingUpdateAction

      `fixNodeName, getOriginator, setOriginator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PHASE

          public static final int PHASE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeleteAction

          public DeleteAction​(NodeInfo node)

      Create a DeleteAction
      Parameters:
        `node` - the node to be deleted

  - ### Method Detail

    - #### apply

          public void apply​(XPathContext context,
                            java.util.Set<MutableNodeInfo> affectedRootSet)
                     throws XPathException

      Apply the pending update action to the affected node
      Specified by:
        `apply` in class `PendingUpdateAction`
      Parameters:
        `context` - the XPath evaluation context
        `affectedRootSet` - the set of roots of trees that have been modified, which this action should add to as necessary
      Throws:
        `XPathException` - if any error occurs applying the update

    - #### getTargetNode

          public NodeInfo getTargetNode()

      Get the target node of the update action
      Specified by:
        `getTargetNode` in class `PendingUpdateAction`
      Returns:
        the target node, the node to which this update action applies.

    - #### getApplyPhase

          public int getApplyPhase()

      Get the phase of operation in which this pending update action is applied. See 3.2.2 upd:applyUpdates, Semantics, rule 2.
      Specified by:
        `getApplyPhase` in class `PendingUpdateAction`
      Returns:
        the phase of operation, an integer in the range 1 to 5 representing the stages labelled a-e in the specification